ARK(1)

NOM
ark - Eina d'arxivament pel KDE

SINOPSI

ark [-b] [-a] [-e] [-O] [-c] [-f sufix] [-p] [-t fitxer] [-d] [-m] [-o directori] [Opcions genèriques dels Frameworks del KDE] [Opcions genèriques de les Qt(TM)]

DESCRIPCIÓ

L'Ark és un programa per a gestionar diversos formats de fitxer comprimits. Els arxius es poden visualitzar, extreure, crear i modificar amb l'Ark. El programa pot manejar diversos formats, com tar, gzip, bzip2, zip i rar (sempre que estiguin instal⋅lats els programes o biblioteques corresponents).

MODES DOPERACIÓ

L'Ark es pot utilitzar com una IGU independent o com un programa de la línia d'ordres per a realitzar algunes tasques específiques.

Si es crida sense les opcions «-b (--batch)» o «-c (-add)», l'Ark s'inicia com un programa IGU normal.

Quan s'utilitza l'opció «-b (--batch)», Ark es pot utilitzar per a extreure el contingut d'un o més fitxers directament des de la línia d'ordres, sense llançar la seva IGU.

Quan s'utilitza l'opció «-c (-add)», l'Ark demana pels fitxers que s'afegiran a un arxiu comprimit nou o ja existent.

OPCIONS

-d, --dialog
    Mostra un diàleg per a especificar les opcions d'una operació per lots o d'afegir.

-m, --mimetypes
    Llista els tipus MIME admesos.

-o, --destination directori
    Especifica el directori d'extracció per omissió. De no indicar-lo s'utilitzarà el camí actual.

  Opcions per a afegir fitxers

-c, --add
    Demana a l'usuari pel nom de fitxer de l'arxiu i hi afegeix els fitxers especificats. Surt quan finalitza.

-t, --add-to nom_fitxer
    Afegeix els fitxers especificats al nom_fitxer. Crea l'arxiu si no existeix. Surt quan finalitza.

-p, --changetofirstpath
    Canvia el directori actual a la primera entrada i afegeix totes les altres entrades relatives a aquesta.

-f, --autofilename sufix
    Selecciona automàticament un nom de fitxer, amb el sufix indicat (per exemple rar, tar.gz, zip o qualsevol altre tipus implementat).

  Opcions per a l'extracció per lots

-b, --batch
    Utilitza la interfície per lots en lloc del diàleg habitual. Aquesta opció és implícita si s'indica més d'un URL.

-e, --autodestination
    L'argument de destinació s'establirà com el camí del primer dels fitxers subministrats.

-a, --autosubfolder
    Es llegirà el contingut de l'arxiu, i si es detecta que no és un arxiu d'una única carpeta, es crearà una subcarpeta amb el nom de l'arxiu.

-O, --opendestination
    Obre la carpeta de destinació després de l'extracció.

VEGEU TAMBÉ
    Hi ha disponible documentació d'usuari més detallada des de help:/ark (podeu emprar aquest URL al Konqueror o bé executar khelpcenter help:/ark).
    kf6options(7)
    qt6options(7)

EXEMPLES

ark --batch arxiu.tar.bz2
    Extraurà arxiu.tar.bz2 en el directori actual sense mostrar cap IGU.

ark -b -d arxiu.tar.bz2 arxiu_2.zip
    Primer mostrarà un diàleg amb opcions d'extracció i després extraurà arxiu.tar.bz2 i arxiu_2.zip en el directori escollit en el diàleg.

ark --add-to arxiu.zip foto_1.jpg text.txt
    Crearà arxiu.zip si no existeix i després se li afegiran foto_1.jpg i text.txt.

EL MANTENIMENT

L'Ark actualment és mantinguda per Elvis Angelaccio i Ragnar Thomsen.

AUTORS

Watts, Lauri <lauri@kde.org>
    Versió inicial el 2005 de la pàgina de manual de l'Ark.

Kubo da Costa, Raphael <rakuco@FreeBSD.org>
    Actualitza el 2009 la pàgina de manual de l'Ark.

Thomsen, Ragnar <rthomsen6@gmail.com>
    Actualitza el 2015 i 2016 la pàgina de manual de l'Ark.